package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/3/26
 */
public class ExtraExercilseReplyQueryInfo extends QueryInfo {
	
	private Long extracurricularExercisesId;

	private Integer teacherId;

	private Integer studentId;

	private String title;

	/** 提交状态 */
	private Integer status;
	
	/** 是否回复 */
	private Integer isReplied;

	private Integer isRepliedTimely;
	
	/** 是否已查看 */
	private Integer isView;
	
	private String organIdList;
	
	private Date submitStartTime;// 提交作业的开始时间

	private Date submitEndTime;// 提交作业的结束时间

	private Date expireStartDate;

	private Date expireEndDate;

	@ApiModelProperty(value = "是否存在vip课")
	private Integer existVipCourse;

	public Integer getExistVipCourse() {
		return existVipCourse;
	}

	public void setExistVipCourse(Integer existVipCourse) {
		this.existVipCourse = existVipCourse;
	}

	public Integer getIsRepliedTimely() {
		return isRepliedTimely;
	}

	public void setIsRepliedTimely(Integer isRepliedTimely) {
		this.isRepliedTimely = isRepliedTimely;
	}

	public Date getExpireStartDate() {
		return expireStartDate;
	}

	public void setExpireStartDate(Date expireStartDate) {
		this.expireStartDate = expireStartDate;
	}

	public Date getExpireEndDate() {
		return expireEndDate;
	}

	public void setExpireEndDate(Date expireEndDate) {
		this.expireEndDate = expireEndDate;
	}

	public Long getExtracurricularExercisesId() {
		return extracurricularExercisesId;
	}

	public void setExtracurricularExercisesId(Long extracurricularExercisesId) {
		this.extracurricularExercisesId = extracurricularExercisesId;
	}

	public Integer getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Integer teacherId) {
		this.teacherId = teacherId;
	}

	public Integer getStudentId() {
		return studentId;
	}

	public void setStudentId(Integer studentId) {
		this.studentId = studentId;
	}

	public String getOrganIdList() {
		return organIdList;
	}

	public void setOrganIdList(String organIdList) {
		this.organIdList = organIdList;
	}

	public Date getSubmitStartTime() {
		return submitStartTime;
	}

	public void setSubmitStartTime(Date submitStartTime) {
		this.submitStartTime = submitStartTime;
	}

	public Date getSubmitEndTime() {
		return submitEndTime;
	}

	public void setSubmitEndTime(Date submitEndTime) {
		this.submitEndTime = submitEndTime;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getIsReplied() {
		return isReplied;
	}

	public void setIsReplied(Integer isReplied) {
		this.isReplied = isReplied;
	}

	public Integer getIsView() {
		return isView;
	}

	public void setIsView(Integer isView) {
		this.isView = isView;
	}
}
